<?php
/*
  $Id: auction_upload.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require_once(DIR_WS_CLASSES . 'auction_helper.php');  
  require_once(DIR_WS_CLASSES . 'auction_order.php');  
  require_once(DIR_WS_CLASSES . 'currencies.php');

  $currencies = new currencies();  
  
  $auctionOrder = new auctionOrder();
  $oID = $HTTP_GET_VARS['oID'];
  
  switch($HTTP_GET_VARS['action'])
  {
	case 'insert':
		$auctionOrder->populate($oID);

		$auctionOrder->info['subtotal'] = tep_db_prepare_input($HTTP_POST_VARS['subtotal']);
		$auctionOrder->info['tax'] = tep_db_prepare_input($HTTP_POST_VARS['tax']);
		$auctionOrder->info['shipping'] = tep_db_prepare_input($HTTP_POST_VARS['shipping']);
		$auctionOrder->info['total'] = tep_db_prepare_input($HTTP_POST_VARS['total']);

		$auctionOrder->billing['firstname'] = tep_db_prepare_input($HTTP_POST_VARS['billing_firstname']);
		$auctionOrder->billing['lastname'] = tep_db_prepare_input($HTTP_POST_VARS['billing_lastname']);
		$auctionOrder->billing['company'] = tep_db_prepare_input($HTTP_POST_VARS['billing_company']);
		$auctionOrder->billing['street_address'] = tep_db_prepare_input($HTTP_POST_VARS['billing_street_address']);
		$auctionOrder->billing['suburb'] = tep_db_prepare_input($HTTP_POST_VARS['billing_suburb']);
		$auctionOrder->billing['city'] = tep_db_prepare_input($HTTP_POST_VARS['billing_city']);
		$auctionOrder->billing['state'] = tep_db_prepare_input($HTTP_POST_VARS['billing_state']);
		$auctionOrder->billing['postcode'] = tep_db_prepare_input($HTTP_POST_VARS['billing_postcode']);
		$auctionOrder->billing['country'] = tep_db_prepare_input($HTTP_POST_VARS['billing_country']);
		$auctionOrder->billing['email_address'] = tep_db_prepare_input($HTTP_POST_VARS['email_address']);
		
		$auctionOrder->customer = $auctionOrder->billing;
		$auctionOrder->customer['ext_customer_id'] = tep_db_prepare_input($HTTP_POST_VARS['ext_customer_id']);

		$auctionOrder->delivery['firstname'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_firstname']);
		$auctionOrder->delivery['lastname'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_lastname']);
		$auctionOrder->delivery['company'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_company']);
		$auctionOrder->delivery['street_address'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_street_address']);
		$auctionOrder->delivery['suburb'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_suburb']);
		$auctionOrder->delivery['city'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_city']);
		$auctionOrder->delivery['state'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_state']);
		$auctionOrder->delivery['postcode'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_postcode']);
		$auctionOrder->delivery['country'] = tep_db_prepare_input($HTTP_POST_VARS['shipping_country']);
		
		$order_id = $auctionOrder->process();
        tep_redirect(tep_href_link(FILENAME_ORDERS, 'oID=' . $order_id));
		break;
	
	
	default:
		$auctionOrder->populate($oID);
		break;
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>

<script language="javascript"><!--
function check_form() {
  var error = 0;
  var error_message = "<?php echo JS_ERROR; ?>";

//  var customers_firstname = document.customers.customers_firstname.value;
//  if (customers_firstname == "" || customers_firstname.length < <?php echo ENTRY_FIRST_NAME_MIN_LENGTH; ?>) {
//    error_message = error_message + "<?php echo JS_FIRST_NAME; ?>";
//    error = 1;
//  }
//
  if (error == 1) {
    alert(error_message);
    return false;
  } else {
    return true;
  }
}
//--></script>

</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
	  </tr>
	</td>
    <td class="formArea"><table border="0" cellspacing="2" cellpadding="2" width="100%">
       <tr>
        <td class="main" align="center"><?php echo TABLE_HEADING_QUANTITY; ?></td>
        <td class="main"></td>
        <td class="main" align="center"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
        <td class="main" align="right"><?php echo TABLE_HEADING_TOTAL; ?></td>
       </tr>
<?php
  foreach($auctionOrder->products as $key => $product)
  {
    echo '<tr>';
  	echo '<td class="main" align="center">' . $product['qty'] . '</td>';
  	echo '<td class="main"></td>';
  	echo '<td class="main" align="center">' . $product['name'] . '</td>';
  	echo '<td class="main" align="right">' . $currencies->format($product['final_price'], true, $auctionOrder->info['currency'], $auctionOrder->info['currency_value']) . '</td>';
    echo '</tr>';
  }
?>  
    </table></td>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr><?php echo tep_draw_form('auction_item', FILENAME_AUCTION_MANUAL_ORDER, tep_get_all_get_params(array('action')) . 'action=insert' . $action, 'post', 'onSubmit="return check_form();"') ?>
        <td class="formArea"><table border="0" cellspacing="2" cellpadding="2">
          <tr>
            <td class="main"></td>
            <td class="main"><br><?php echo TABLE_HEADING_ORDER_TOTAL; ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SUB_TOTAL; ?></td>
            <td class="main"><?php echo tep_draw_input_field('subtotal', number_format($auctionOrder->info['subtotal'],2), 'maxlength="12"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_TAX; ?></td>
            <td class="main"><?php echo tep_draw_input_field('tax', number_format($auctionOrder->info['tax'],2), 'maxlength="12"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SHIPPING; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping', number_format($auctionOrder->info['shipping'],2), 'maxlength="12"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_TOTAL; ?></td>
            <td class="main"><?php echo tep_draw_input_field('total', number_format($auctionOrder->info['total'],2), 'maxlength="12"', true); ?></td>
          </tr>
          <tr>
            <td class="main"></td>
            <td class="main"><br><?php echo ENTRY_SOLD_TO; ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_EXT_CUSTOMER_ID; ?></td>
            <td class="main"><?php echo tep_draw_input_field('ext_customer_id', $auctionOrder->customer['ext_customer_id'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_EMAIL_ADDRESS; ?></td>
            <td class="main"><?php echo tep_draw_input_field('email_address', $auctionOrder->customer['email_address'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_FIRST_NAME; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_firstname', $auctionOrder->billing['firstname'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_LAST_NAME; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_lastname', $auctionOrder->billing['lastname'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_COMPANY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_company', $auctionOrder->billing['company'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_STREET_ADDRESS; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_street_address', $auctionOrder->billing['street_address'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SUBURB; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_suburb', $auctionOrder->billing['suburb'], 'size="35" maxlength="128"', false); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_CITY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_city', $auctionOrder->billing['city'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_STATE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_state', $auctionOrder->billing['state'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_POST_CODE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_postcode', $auctionOrder->billing['postcode'], 'maxlength="12"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_COUNTRY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('billing_country', $auctionOrder->billing['country']['title'], 'maxlength="50"', true); ?></td>
          </tr>
          <tr>
            <td class="main"></td>
            <td class="main"><br><?php echo ENTRY_SHIP_TO; ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_FIRST_NAME; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_firstname', $auctionOrder->delivery['firstname'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_LAST_NAME; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_lastname', $auctionOrder->delivery['lastname'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_COMPANY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_company', $auctionOrder->delivery['company'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_STREET_ADDRESS; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_street_address', $auctionOrder->delivery['street_address'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SUBURB; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_suburb', $auctionOrder->delivery['suburb'], 'size="35" maxlength="128"', false); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_CITY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_city', $auctionOrder->delivery['city'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_STATE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_state', $auctionOrder->delivery['state'], 'size="35" maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_POST_CODE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_postcode', $auctionOrder->delivery['postcode'], 'maxlength="12"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_COUNTRY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping_country', $auctionOrder->delivery['country']['title'], 'maxlength="50"', true); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td align="right" class="main"><?php echo tep_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) .'">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
      </tr></form>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
